from django.contrib import admin

from .models import Feed
from feeds.modules import EchoFeedModuleConfig, DankMemesFeedModuleConfig, ShittyWatercolourFeedModuleConfig,\
    VKFeedModuleConfig, VKMusicFeedModuleConfig, WPComicFeedModuleConfig


@admin.register(Feed)
class FeedAdmin(admin.ModelAdmin):
    list_display = '__str__', 'locked',


admin.site.register(EchoFeedModuleConfig)
admin.site.register(DankMemesFeedModuleConfig)
admin.site.register(ShittyWatercolourFeedModuleConfig)
admin.site.register(VKFeedModuleConfig)
admin.site.register(VKMusicFeedModuleConfig)
admin.site.register(WPComicFeedModuleConfig)
